package org.kde.qt;


/** {@link QListView} emits these signals */
public interface QListViewSignals {
	void rightButtonPressed( QListViewItem arg1, QPoint arg2, int arg3 );
	void collapsed( QListViewItem item );
	void destroyed( QObject obj );
	void returnPressed( QListViewItem arg1 );
	void rightButtonClicked( QListViewItem arg1, QPoint arg2, int arg3 );
	void contentsMoving( int x, int y );
	void pressed( QListViewItem arg1, QPoint arg2, int arg3 );
	void clicked( QListViewItem arg1, QPoint arg2, int arg3 );
	void spacePressed( QListViewItem arg1 );
	void contextMenuRequested( QListViewItem arg1, QPoint arg2, int arg3 );
	void currentChanged( QListViewItem arg1 );
	void itemRenamed( QListViewItem item, int col );
	void mouseButtonPressed( int arg1, QListViewItem arg2, QPoint arg3, int arg4 );
	void expanded( QListViewItem item );
	void mouseButtonClicked( int arg1, QListViewItem arg2, QPoint arg3, int arg4 );
	void dropped( QDropEvent e );
	void doubleClicked( QListViewItem arg1 );
	void selectionChanged( QListViewItem arg1 );
	void onViewport();
	void onItem( QListViewItem item );
}

